<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.base.mapper.OrgTypeMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.base.model.OrgType" >
    <id column="ORG_TYPE_ID" property="orgTypeId" jdbcType="BIGINT" />
    <result column="ORG_TYPE_CODE" property="orgTypeCode" jdbcType="VARCHAR" />
    <result column="ORG_TYPE_NAME" property="orgTypeName" jdbcType="VARCHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    ORG_TYPE_ID, ORG_TYPE_CODE, ORG_TYPE_NAME
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from org_type
    where ORG_TYPE_ID = #{orgTypeId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from org_type
    where ORG_TYPE_ID = #{orgTypeId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.base.model.OrgType" >
    insert into org_type (ORG_TYPE_ID, ORG_TYPE_CODE, ORG_TYPE_NAME
      )
    values (#{orgTypeId,jdbcType=BIGINT}, #{orgTypeCode,jdbcType=VARCHAR}, #{orgTypeName,jdbcType=VARCHAR}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.base.model.OrgType" >
    insert into org_type
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="orgTypeId != null" >
        ORG_TYPE_ID,
      </if>
      <if test="orgTypeCode != null" >
        ORG_TYPE_CODE,
      </if>
      <if test="orgTypeName != null" >
        ORG_TYPE_NAME,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="orgTypeId != null" >
        #{orgTypeId,jdbcType=BIGINT},
      </if>
      <if test="orgTypeCode != null" >
        #{orgTypeCode,jdbcType=VARCHAR},
      </if>
      <if test="orgTypeName != null" >
        #{orgTypeName,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.base.model.OrgType" >
    update org_type
    <set >
      <if test="orgTypeCode != null" >
        ORG_TYPE_CODE = #{orgTypeCode,jdbcType=VARCHAR},
      </if>
      <if test="orgTypeName != null" >
        ORG_TYPE_NAME = #{orgTypeName,jdbcType=VARCHAR},
      </if>
    </set>
    where ORG_TYPE_ID = #{orgTypeId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.base.model.OrgType" >
    update org_type
    set ORG_TYPE_CODE = #{orgTypeCode,jdbcType=VARCHAR},
      ORG_TYPE_NAME = #{orgTypeName,jdbcType=VARCHAR}
    where ORG_TYPE_ID = #{orgTypeId,jdbcType=BIGINT}
  </update>
</mapper>